Skip to main content
GET
/
notifications
List notifications
curl --request GET \
  --url https://api-staging.pixwel.com/api/notifications \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'X-Range: <x-range>'
[
  {
    "_id": "69fbdfb21bfa1d2a140fe11f",
    "from": "69fbcc47695c40517b08a412",
    "to": "58c6e38e4b161cef068b4576",
    "event": {
      "_id": "69fbdf81509095a17b06d84c",
      "processed": true,
      "pushed": true,
      "digested": true,
      "created": 1778114433,
      "from": {
        "_id": "69fbcc47695c40517b08a412",
        "status": {
          "invited": true,
          "approved": true,
          "registered": true,
          "confirmed": true
        },
        "username": "ryan+workflow@pixwel.com",
        "invite": "https://3x.pixwel.com/register/:code",
        "emailNormal": "ryan+workflow@pixwel.com",
        "name": "Ryan Workflow"
      },
      "type": "wam",
      "workRequest": {
        "_id": "69fbdb6c86bcded891072af3",
        "auto": false,
        "autosubs": false,
        "dualLanguages": false,
        "aspectRatio": "16:9",
        "status": "awaiting-materials",
        "from": "69fbcc47695c40517b08a412",
        "asset": "69fa4897dbab17ffa2057742",
        "assetType": "preliminary-production",
        "assetCategory": "av",
        "due": {
          "date": 1778286181,
          "tz": "America/Los_Angeles"
        },
        "deliveryDeadline": {
          "date": 1778286181,
          "tz": "America/Los_Angeles"
        },
        "autoMode": false,
        "language": "BPO",
        "territory": "BR",
        "dng": {
          "dialogue": [
            "Dedicated / Localized"
          ],
          "graphics": [
            "Dedicated / Localized"
          ],
          "narration": [
            "Dedicated / Localized"
          ]
        },
        "audioFile": "<string>",
        "instructions": "",
        "urls": {
          "view": "https://3x.pixwel.com/work-requests/:workRequest",
          "manage": "https://3x.pixwel.com/work-requests/:workRequest",
          "invite": "https://3x.pixwel.com/register/:code",
          "translate": "https://3x.pixwel.com/work-requests/:workRequest/subtitler"
        },
        "files": [
          {
            "name": "attachments",
            "files": [
              "<unknown>"
            ]
          }
        ],
        "uses": {
          "items": [
            "Online"
          ],
          "details": {
            "Online": [
              {
                "value": "1080p",
                "ship": false
              }
            ]
          }
        },
        "dcp": {
          "items": [
            "<unknown>"
          ],
          "details": [
            "<unknown>"
          ]
        },
        "recipients": [
          "<unknown>"
        ],
        "shippingAddresses": [
          "<unknown>"
        ],
        "project": "6865c23ca1199cff5001ec8f",
        "studio": "53d198844f06409d418b4571",
        "estimate": {
          "base": "<string>",
          "applied": "<string>"
        },
        "materials": [
          {
            "name": "graphics",
            "complete": false,
            "approved": false,
            "files": [
              "<unknown>"
            ]
          }
        ],
        "rejections": [
          "<unknown>"
        ],
        "history": [
          {
            "date": 1778113388,
            "user": {
              "_id": "69fbcc47695c40517b08a412",
              "emailNormal": "ryan+workflow@pixwel.com",
              "name": "Ryan Workflow",
              "groups": [
                {
                  "_id": "533b8a9a55f4ba9e078b45ad",
                  "name": "PPI Brazil"
                }
              ]
            },
            "status": "incomplete",
            "reason": ""
          }
        ],
        "reason": "",
        "graphicsTranslation": "69fbdb6c86bcded891072af5",
        "translation": "69fbdb6c86bcded891072af6",
        "tags": [
          "<unknown>"
        ]
      },
      "projects": [
        {
          "_id": "6865c23ca1199cff5001ec8f",
          "name": "Regretting You",
          "slug": "regrettingyou"
        }
      ],
      "urls": {
        "view": "https://3x.pixwel.com/work-requests/69fbdb6c86bcded891072af3",
        "manage": "https://3x.pixwel.com/work-requests/69fbdb6c86bcded891072af3",
        "invite": "https://3x.pixwel.com/register/:code",
        "translate": "https://3x.pixwel.com/work-requests/69fbdb6c86bcded891072af3/subtitler"
      },
      "notify": {
        "users": [
          "69fbcc47695c40517b08a412"
        ],
        "groups": [
          "5328d77467d621906d8b4574"
        ]
      },
      "assets": [
        "<unknown>"
      ]
    },
    "type": "wam",
    "title": "Ryan Workflow (PPI Brazil) has marked work request \"Regretting You - Int'l Trailer A V2 Production\" as awaiting materials",
    "emailSubject": "Ryan Workflow (PPI Brazil) has marked work request \"Regretting You - Int'l Trailer A V2 Production\" as awaiting materials",
    "read": false,
    "viewed": false,
    "sent": false,
    "added": 1778114482,
    "created": 1778114482,
    "$links": {
      "self": "//api-staging.pixwel.com/api/Notifications/69fbdfb21bfa1d2a140fe11f"
    }
  }
]

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Headers

X-Range
string
default:resources=0-9
required

Pagination range (e.g. resources=0-9, resources=10-19)

Query Parameters

q
string
type
string
read
string
summary
string

Response

200 - application/json

OK

_id
string
Example:

"69fbdfb21bfa1d2a140fe11f"

from
string
Example:

"69fbcc47695c40517b08a412"

to
string
Example:

"58c6e38e4b161cef068b4576"

event
object
type
string
Example:

"wam"

title
string
Example:

"Ryan Workflow (PPI Brazil) has marked work request \"Regretting You - Int'l Trailer A V2 Production\" as awaiting materials"

emailSubject
string
Example:

"Ryan Workflow (PPI Brazil) has marked work request \"Regretting You - Int'l Trailer A V2 Production\" as awaiting materials"

read
boolean
Example:

false

viewed
boolean
Example:

false

sent
boolean
Example:

false

added
integer
Example:

1778114482

created
integer
Example:

1778114482